import Qt 4.7

Item
{
    anchors.fill: parent
    visible: false
    objectName: "wizardPage"

    property variant parentWizard

    property variant context
    property variant wizardState
    property string wizardStateName

    property bool backButtonEnabled:	false
    property bool nextButtonEnabled:	false
    property bool cancelButtonEnabled:	true
    property bool helpButtonVisible:    true

    property string backButtonText
    property string nextButtonText
    property string cancelButtonText
    property string headerString
    property bool pageCanBeStacked: true

    Binding {target: context; property: wizardStateName; value: wizardState }

    onWizardStateChanged:
    {
        if (!visible)
            return;
        selectPageOnStateChanged(pageCanBeStacked);
    }

    function selectPageOnStateChanged(pageCanBeStacked)
    {
        return parentWizard.selectPageOnStateChanged(pageCanBeStacked);
    }
    function onBack()
    {
        parentWizard.backToPreviosPage();
    }
    function onCancel()
    {
        parentWizard.close();
    }
}

