import Qt 4.7

Rectangle
{
	id: panel
	objectName: "baseSlidePanel"
	
	// public
	
	property int onHide
	property int onShow: 0
	property alias changedProperty: panel.y
	property string easingType: "InOutQuad"
	property int duration: 300
	state: "Hide";
	color: "transparent"
	function isHide() { return panel.state == "Hide" }
	function isVisible() { return !isHide(); }

	// details

	clip: true

	states: [
		State { name: "Hide"; PropertyChanges { target: panel; changedProperty: onHide } },
		State { name: "Show"; PropertyChanges { target: panel; changedProperty: onShow } }
	]

	transitions: Transition { 
		PropertyAnimation { properties: "changedProperty"; easing.type: easingType; duration: panel.duration } 
	}

	MouseEventsEater {}
}
