import Qt 4.7
import "../common/widgets" as Widgets
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	caption: MainWindow.licenseManager.CaptionText
	property int helpId: 44436
	objectName: "licenseManager"

	captionArea: Component
	{
		Item 
		{
			clip:           false
			objectName: "captionArea"

			Widgets.CaptionButton
			{
				property variant model : MainWindow.licenseManager
				objectName:	"LicenseEulaButton"
				text:		model.Localize("LicenseEulaLinkName")
				onClicked:	model.ShowEula()
			}
		}
	}
    viewArea: Component
    {
        Item
        {
            anchors.fill: parent
            objectName: "LicensePanel"

            LicensePage
            {
                anchors.fill:parent
                visible: MainWindow.licenseManager.IsActivated
            }

            ProductNotActivatedPage
            {
                anchors.fill:parent
                visible: !MainWindow.licenseManager.IsActivated
            }
        }
    }
}
