import Qt 4.7

InnerContent
{
	caption: MainWindow.Localize("AdvancedTools")
	property int helpId: 43660
	objectName: "advancedTools"

	viewArea: Component
	{
		Item 
		{
			property variant context: MainWindow
			objectName: "viewArea"
			anchors.fill: parent

			Column
			{
				width: parent.width
				height: parent.height
				objectName: "column"

				AdvancedTool
				{
					objectName: "RescueDiskTool"
					iconSource: "../common/images/advanced_tools/ico_rescue_disk_48.png"
					titleText: context.Localize("RescueDiskAction")
					descriptionText: context.Localize("RescueDiskInfo")
					actionButtonText: context.Localize("Launch")
					action: context.MakeRescueDiskAction
					hasSeparator: false
				}
				
				AdvancedTool
				{
					objectName: "SystemRestoreTool"
					iconSource: "../common/images/advanced_tools/ico_infection_recovery_48.png"
					titleText: context.Localize("SystemRestoreAction")
					descriptionText: context.Localize("SystemRestoreInfo")
					actionButtonText: context.Localize("Execute")
					action: context.SystemRestoreAction
				}				

				AdvancedTool
				{
					objectName: "CleanerTool"
					iconSource: "../common/images/advanced_tools/ico_activity_clean_48.png"
					titleText: context.Localize("CleanerAction")
					descriptionText: context.Localize("CleanerInfo")
					actionButtonText: context.Localize("Execute")
					action: context.CleanInfectionAction
				}

				AdvancedTool
				{
					objectName: "IeTweakFlipPanel"
					iconSource: "../common/images/advanced_tools/ico_browser_configure_wizard_48.png"
					titleText: context.Localize("IeTweakAction")
					descriptionText: context.Localize("IeTweakInfo")
					actionButtonText: context.Localize("Execute")
					action: context.IeTweakAction
				}
			}
		}
	}
}
